forrest-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "schumarer schumarer" <schuma...@gmail.com>
Subject Re: How can I start using Forrest?
Date Wed, 11 Apr 2007 09:56:11 GMT
Yes yes, I use Sun's JDK.

Even if JAVA_HOME points on the jdk root folder, it doesn't work either.

D:\retest1>echo %JAVA_HOME%
C:\Program Files\Java\jdk1.5.0_11

same error :(

Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad
> version number in .class file
>
>         at java.lang.ClassLoader.defineClass1(Native Method)
>         at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
>

When I use jdk 1.4.2

> D:\retest1>echo %JAVA_HOME%
> C:\j2sdk1.4.2_14
>

I have exactly the same error :-S

Is it possible that forrest use another "java" that the one pointed in
%java_home% ?

I tried with so many different version and updates that I'm sure I have like
10 different version of java installed now :-))

Any clue?

Thanks


On 4/11/07, Ross Gardler <rgardler@apache.org> wrote:
>
> schumarer schumarer wrote:
> >
> > Hi,
> >
> > I'm using java 1.5 (update 11) but I also tried java 1.4.2 and I'm on
> > Windows XP Sp 2 :-)
>
> I assume you mean Suns JDK (certainly looks like it from the version
> numbers).
>
> > D:\retest1>echo %JAVA_HOME%
> > C:\Program Files\Java\jdk1.5.0_11\jre
>
> Java home should be set to the JDK not the JRE
>
> C:\Program Files\Java\jdk1.5.0_11
>
> Ross
>

Mime
View raw message